name = "http-router"
main = "src/index.ts"
compatibility_date = "2024-12-05"
compatibility_flags = ["nodejs_compat"]
# Disable use of `*.workers.dev` by default, routes are managed outside Wrangler deploy
workers_dev = false

# Disable telemetry
send_metrics = false

# Variable bindings. These are arbitrary, plaintext strings (similar to environment variables)
# Defined per environment, as they are not inherited
# Docs: https://developers.cloudflare.com/workers/platform/environment-variables
vars = { }

# Bind a KV Namespace. Use KV as persistent storage for small key-value pairs.
# Docs: https://developers.cloudflare.com/workers/runtime-apis/kv
# [[kv_namespaces]]
# binding = "MY_KV_NAMESPACE"
# id = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

# Bind an R2 Bucket. Use R2 to store arbitrarily large blobs of data, such as files.
# Docs: https://developers.cloudflare.com/r2/api/workers/workers-api-usage/
# [[r2_buckets]]
# binding = "MY_BUCKET"
# bucket_name = "my-bucket"

# Bind a Queue producer. Use this binding to schedule an arbitrary task that may be processed later by a Queue consumer.
# Docs: https://developers.cloudflare.com/queues/get-started
# [[queues.producers]]
# binding = "MY_QUEUE"
# queue = "my-queue"

# Bind a Queue consumer. Queue Consumers can retrieve tasks scheduled by Producers to act on them.
# Docs: https://developers.cloudflare.com/queues/get-started
# [[queues.consumers]]
# queue = "my-queue"

# Bind another Worker service. Use this binding to call another Worker without network overhead.
# Docs: https://developers.cloudflare.com/workers/platform/services
# [[services]]
# binding = "MY_SERVICE"
# service = "my-service"

# Bind a Durable Object. Durable objects are a scale-to-zero compute primitive based on the actor model.
# Durable Objects can live for as long as needed. Use these when you need a long-running "server", such as in realtime apps.
# Docs: https://developers.cloudflare.com/workers/runtime-apis/durable-objects
# [[durable_objects.bindings]]
# name = "MY_DURABLE_OBJECT"
# class_name = "MyDurableObject"

# Durable Object migrations.
# Docs: https://developers.cloudflare.com/workers/learning/using-durable-objects#configure-durable-object-classes-with-migrations
# [[migrations]]
# tag = "v1"
# new_classes = ["MyDurableObject"]

[version_metadata]
binding = "CF_VERSION_METADATA"

[env.dev]
name = "dev-cells-http-router"
# Service relevant variables will be passed from command lines via GDK.
# If you're not using GDK, define these variables in `.dev.vars`:
# `GITLAB_RULES_CONFIG`, `GITLAB_PROXY_HOST`, `GITLAB_TOPOLOGY_SERVICE_URL`
vars = {}
[env.dev.version_metadata]
binding = "CF_VERSION_METADATA"

[env.gstg]
name = "staging-gitlab-com-cells-http-router"
vars = { GITLAB_PROXY_HOST = "", GITLAB_TOPOLOGY_SERVICE_URL = "https://topology-rest.staging.runway.gitlab.net/", GITLAB_RULES_CONFIG = "session_prefix", SENTRY_DSN = "", GITLAB_ENV = "gstg" }
[env.gstg.version_metadata]
binding = "CF_VERSION_METADATA"
[env.gstg.observability]
enabled = true
head_sampling_rate = 0.01

[env.gprd]
name = "production-gitlab-com-cells-http-router"
vars = { GITLAB_PROXY_HOST = "", GITLAB_TOPOLOGY_SERVICE_URL = "https://topology-rest.runway.gitlab.net/", GITLAB_RULES_CONFIG = "session_prefix", SENTRY_DSN = "", GITLAB_ENV = "gprd" }
[env.gprd.version_metadata]
binding = "CF_VERSION_METADATA"
[env.gprd.observability]
enabled = true
head_sampling_rate = 0.01
